import java.util.Vector;
public class Test implements Definitions
{
	public static void main(String args[])
	{
		Board board = new Board();
		board.inputFEN("7k/8/8/8/R2K3q/8/8/8 w - - 0 1");

		
					
		

		long time = System.currentTimeMillis();

		Engine.LineEval pv = Engine.search(board);
		for(int i = 0; i < pv.line.size(); i++)
		{
			System.out.println(((Move)pv.line.get(i)).notation());
		}

		System.out.println("Evaluation: " + pv.eval);

		//System.out.println(Engine.search(board));
		System.out.println("Time: " + (System.currentTimeMillis() - time));
		
	}
}
